# Request and response notes

## Checkpoint 1
Read the request and response shown on lines 1-32 of the lab. Choose 
five lines from the request and/or the response. For each, make an inference
about the meaning of the line, and some situation in which it might be useful. 
You are welcome to research the meanings of these headers, but it's also 
fine to speculate for now.

Line 2: This is a get request, which is asking the server that hosts the site to send the code for the entire page. I think that's what the all part means. 
Line 3: This line is accepting something from the website. Not sure what though. 
Line 4: This seems like it's accepting maybe the public key for the encryption allowing it to decrypt the website securely? 
Line 5: This seems like it means to keep the webpage loaded on the computer which, in order to do that keeps the connection there. 
Line 6: This is the server which is hosting the website. 

## Checkpoint 2
The goal of this checkpoint is to see what status codes you can get back from 
the riddle server. Paste below several `http` requests and the status codes
they return.

http -v post https://buffalochoralarts.org/singers
Returned a 404 error since this page does not exist on the buffalo choral arts society webpage. 

http -v get  https://buffalochoralarts.org/singers
Returned the error 301: Moved permanently. I wasn't expecting this because I didn't know this page ever existed! 

http -v get https://riddles.makingwithcode.org/new question="What have I got in my pocket?" answer="My precious"
This returned a 405 error because the it was a get request, but it provided information as if it were posting. 

